package key_test

import "bytes"

type namedBuffer struct {
	bytes.Buffer
	name string
}

func newNamedBuffer(name string, b []byte) *namedBuffer {
	buf := bytes.NewBuffer(b)
	return &namedBuffer{
		Buffer: *buf,
		name:   name,
	}
}

func (b *namedBuffer) Name() string {
	return b.name
}
