sshign(1)

# NAME

sshign - sign and verify data using SSH keys


# SYNOPSIS

*sshign* _secret-key-file_ < _data-to-sign_ > _signature_

*sshign* _public-key-file_ _signature-file_ < _data-to-verify_


# DESCRIPTION

To generate a signature, call *sshign* _secret-key-file_. Reads data from
stdin and computes the signature using the private SSH in _secret-key-file_.
Prints the resulting signature to stdout in text format.

To verify a signature, call *sshign* _public-key-file_ _signature-file_. Reads
data read from stdin and checks the signature in _signature-file_
against the public SSH key in _public-key-file_. Returns with exit code 0 on
successful verification and with exit code 1 in case of failed verification.


# EXAMPLES

Signing:

```
$ echo "This is my message" > sign-me.txt
$ ./sshign ~/.ssh/id_rsa < sign-me.txt > signature.txt
```

Verification:

```
$ ./sshign ~/.ssh/id_rsa.pub signature.txt < sign-me.txt
verify: ok
```


# AUTHORS

Maintained by Thomas Renoth <minus@mnus.de>. Up-to-date sources can be found at
https://git.sr.ht/~minus/sshign and bugs/patches can be submitted by email to
~minus/public-inbox@lists.sr.ht.
